HEADERFILES = Arts.hh \
	      ArtsAggregatorMapKey.hh \
	      ArtsAsMatrixEntry.hh \
	      ArtsAsMatrixData.hh \
	      ArtsAsMatrix.hh \
	      ArtsAsMatrixAggregator.hh \
	      ArtsAsMatrixAggregatorMap.hh \
	      ArtsAttribute.hh \
	      ArtsAttributeVector.hh \
	      ArtsBitString.hh \
	      ArtsDebug.hh \
	      ArtsFileUtil.hh \
	      ArtsNetMatrixEntry.hh \
	      ArtsNetMatrixData.hh \
	      ArtsNetMatrix.hh \
	      ArtsNetMatrixAggregator.hh \
	      ArtsNetMatrixAggregatorMap.hh \
	      ArtsPackageVersion.hh \
	      ArtsHeader.hh \
	      ArtsIfIndexSelectionSet.hh \
              ArtsInterfaceMatrixEntry.hh \
              ArtsInterfaceMatrixData.hh \
              ArtsInterfaceMatrix.hh \
	      ArtsInterfaceMatrixAggregator.hh \
	      ArtsInterfaceMatrixAggregatorMap.hh \
	      ArtsIpPathEntry.hh \
	      ArtsIpPathData.hh \
	      ArtsIpPath.hh \
	      ArtsNextHopTableEntry.hh \
	      ArtsNextHopTableData.hh \
	      ArtsNextHopTable.hh \
	      ArtsNextHopTableAggregator.hh \
	      ArtsNextHopTableAggregatorMap.hh \
	      ArtsObjectTypeSelectionSet.hh \
	      ArtsPortChoice.hh \
	      ArtsPortChooser.hh \
	      ArtsPortMatrixEntry.hh \
	      ArtsPortMatrixData.hh \
	      ArtsPortMatrix.hh \
	      ArtsPortMatrixAggregator.hh \
	      ArtsPortMatrixAggregatorMap.hh \
	      ArtsPortTableEntry.hh \
	      ArtsPortTableData.hh \
	      ArtsPortTable.hh \
	      ArtsPortTableAggregator.hh \
	      ArtsProtocolTableEntry.hh \
	      ArtsProtocolTableData.hh \
	      ArtsProtocolTable.hh \
	      ArtsProtocolTableAggregator.hh \
	      ArtsProtocolTableAggregatorMap.hh \
	      ArtsPrimitive.hh \
	      ArtsRttTimeSeriesTableData.hh \
	      ArtsRttTimeSeriesTable.hh \
	      ArtsSelectedPortTableData.hh \
	      ArtsSelectedPortTable.hh \
	      ArtsTimeIntervalSelectionSet.hh \
	      ArtsTosTable.hh \
	      ArtsTosTableData.hh \
	      ArtsTosTableEntry.hh \
	      ArtsTosTableAggregator.hh \
	      ArtsTosTableAggregatorMap.hh \
	      ArtsBgp4AggregatorAttribute.hh \
	      ArtsBgp4Prefix.hh \
	      ArtsBgp4AsPathAttribute.hh \
	      ArtsBgp4RouteEntry.hh \
	      ArtsBgp4AsPathSegment.hh \
	      ArtsBgp4RouteTable.hh \
	      ArtsBgp4Attribute.hh \
	      ArtsBgp4RouteTableData.hh \
	      ArtsBgp4DPAttribute.hh \
	      Ipv4Network.hh \
	      Ipv4PrefixPatricia.hh \
	      artslocal.h \
	      caida_t.h

install::
	if [ ! -d @prefix@ ]; then \
	  mkdir @prefix@ ; \
	fi
	if [ ! -d @includedir@ ]; then \
	  mkdir @includedir@ ; \
	fi
	for headerfile in ${HEADERFILES}; do \
	  ../../install-sh -c -m 444 $$headerfile @includedir@/$$headerfile ; \
	done

tarball::
	for headerfile in ${HEADERFILES}; do \
	  @TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @includedir@/$$headerfile ; \
	done


